> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Select Quote

> Call this endpoint to record a borrower's selected quote.

Call this endpoint when a borrower selects a quote to continue with. This records their selection and if they are directed to Covered's quote display page, they will see the quote they selected.


## OpenAPI

````yaml POST /v1/loans/{id}/quotes/{quoteId}/select
openapi: 3.1.0
info:
  description: Development documentation
  title: Lenders API
  version: 1.4.0
servers:
  - url: https://sandbox-api.itscovered.com/lenders
security: []
tags:
  - description: Health check
    name: health
  - description: Loans
    name: loans
  - description: Policies
    name: policies
  - description: Authentication
    name: auth
paths:
  /v1/loans/{id}/quotes/{quoteId}/select:
    post:
      tags:
        - loans
      summary: Select Quote
      description: Call this endpoint to record a borrower's selected quote.
      operationId: postV1LoansByIdQuotesByQuoteIdSelect
      parameters:
        - description: The unique identifier of the loan application
          in: path
          name: id
          required: true
          schema:
            example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
            type: string
        - description: The unique identifier of the quote to select
          in: path
          name: quoteId
          required: true
          schema:
            example: 7c7a39cc-256f-4514-92b9-a75dc37a581d
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  quoteId:
                    description: The unique identifier of the selected quote
                    example: 7c7a39cc-256f-4514-92b9-a75dc37a581d
                    type: string
                  success:
                    example: true
                    type: boolean
                required:
                  - success
                  - quoteId
                type: object
            multipart/form-data:
              schema:
                properties:
                  quoteId:
                    description: The unique identifier of the selected quote
                    example: 7c7a39cc-256f-4514-92b9-a75dc37a581d
                    type: string
                  success:
                    example: true
                    type: boolean
                required:
                  - success
                  - quoteId
                type: object
            text/plain:
              schema:
                properties:
                  quoteId:
                    description: The unique identifier of the selected quote
                    example: 7c7a39cc-256f-4514-92b9-a75dc37a581d
                    type: string
                  success:
                    example: true
                    type: boolean
                required:
                  - success
                  - quoteId
                type: object
          description: Indicates that the quote was selected successfully
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Failed to select quote
                    type: string
                required:
                  - error
                type: object
            multipart/form-data:
              schema:
                properties:
                  error:
                    example: Failed to select quote
                    type: string
                required:
                  - error
                type: object
            text/plain:
              schema:
                properties:
                  error:
                    example: Failed to select quote
                    type: string
                required:
                  - error
                type: object
          description: Error response when selecting quote
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Token
      scheme: bearer
      type: http

````